Page MenuHome

Crash when rendering with freestyle
Closed, ResolvedPublic

Description

System Information
Linux 64 bit with geforce GT 635M

Blender Version
Broken: (example: 2.71 0a0e4e0
Worked: (optional) 2.71 9337574

Render with freestyle enabled causing crash. Crash.txt included.

  1. start blender,
  2. enable freestyle,
  3. render,
  4. crash

Event Timeline

Tamito Kajiyama (kjym3) triaged this task as Needs Information from User priority.Jun 27 2014, 9:51 AM

I could not reproduce the reported crash on Windows. I will try to test on Linux (may take time).

So, it's working fine in windows?

Yes, the indicated steps just work fine on Windows. Do you have the same issue with the 2.71 release version?

Nope, working fine in 2.71 release

I try clean build again yesterday, but freestyle still fail on my system. Here I try to run with freestyle debug http://www.pasteall.org/52538

Also in crash.txt the problem always occur with this two :
/lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f2648166ff0]
/lib/x86_64-linux-gnu/libpthread.so.0(pthread_spin_lock+0) [0x7f264cc630f0]

I also attached my cmakecache here,

my Boost version: 1.54.0

Tamito Kajiyama (kjym3) closed this task as Resolved.Jun 30 2014, 2:43 AM

Closed by commit rBea3c2eb15d27.

Many thanks for the updates. In the Freestyle debug log, the following line seems to show a clue:

Triangles nb : 12 imported, 2684354572 retained

The second number is obviously wrong. I made an attempt to fix it. Any further tests are much appreciated.

Still crash on my system, here's the log from debug http://www.pasteall.org/52543

Tamito Kajiyama (kjym3) edited this Maniphest Task.Jul 1 2014, 4:37 PM
Tamito Kajiyama (kjym3) closed this task as Resolved.Jul 1 2014, 4:37 PM

Closed by commit rB6c6fa749f6ee.

Tried to fix the issue again. Independent testing is much appreciated.

Just test it out and it works now, thanks for the fix. Btw, what happened earlier?

There was an uninitialized variable in the code, which was no apparent problem in the past but became a cause of crashes after recent changes related to multi-threading.

I saw in the log, now FS render back to utilize 1 thread, so it means that multi-threading fail?

No, the number of threads shown in the Freestyle debug log was wrong. Fix committed in rB944e576717c1.